Subject: [Fot] John Fitch

From: Ed Diehl <[email-masked]>
Date: Thu, 1 Nov 2012 09:04:26 -0700 (PDT)

Hello, all.    I was very sorry to hear about the passing of Jon Fitch. He was
not only a great driver, pilot,etc, but he was a genuine nice guy. Some years
back I had the pleasure to be on the stage with him at the Glen Theater in
Watkins Glen . I was honored to be invited to speak, along with John Fitch,
Bob Lutz, and Bill Millican at the Vintage Grand Prix. That part of the event
is called "Legends Speak". What an honor!! He was a very pleasant man and his
wife was a quite a nice Lady. Never forget it!  Cheers, Ed

Ed Diehl
_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive
Unsubscribe: http://autox.team.net/mailman/options/fot/[email-masked]